org.keycloak.models.credential

## Class PasswordCredentialModel

- java.lang.Object
- - org.keycloak.credential.CredentialModel
  - - org.keycloak.models.credential.PasswordCredentialModel

- All Implemented Interfaces:
    Serializable

      public class PasswordCredentialModel
      extends CredentialModel

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PASSWORD_HISTORY`
    `static String` | `TYPE`

    - ### Fields inherited from class org.keycloak.credential.CredentialModel

      `CLIENT_CERT, HOTP, KERBEROS, OTP, PASSWORD, PASSWORD_TOKEN, SECRET, TOTP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PasswordCredentialModel` | `createFromCredentialModel(CredentialModel credentialModel)`
    `static PasswordCredentialModel` | `createFromValues(PasswordCredentialData credentialData, PasswordSecretData secretData)`
    `static PasswordCredentialModel` | `createFromValues(String algorithm, byte[] salt, int hashIterations, String encodedPassword)`
    `PasswordCredentialData` | `getPasswordCredentialData()`
    `PasswordSecretData` | `getPasswordSecretData()`

    - ### Methods inherited from class org.keycloak.credential.CredentialModel

      `comparingByStartDateDesc, getAlgorithm, getConfig, getCounter, getCreatedDate, getCredentialData, getDevice, getDigits, getHashIterations, getId, getPeriod, getSalt, getSecretData, getType, getUserLabel, getValue, setAlgorithm, setConfig, setCounter, setCreatedDate, setCredentialData, setDevice, setDigits, setHashIterations, setId, setPeriod, setSalt, setSecretData, setType, setUserLabel, setValue, shallowClone`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### PASSWORD_HISTORY

          public static final String PASSWORD_HISTORY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createFromValues

          public static PasswordCredentialModel createFromValues(PasswordCredentialData credentialData,
                                                                 PasswordSecretData secretData)

    - #### createFromValues

          public static PasswordCredentialModel createFromValues(String algorithm,
                                                                 byte[] salt,
                                                                 int hashIterations,
                                                                 String encodedPassword)

    - #### createFromCredentialModel

          public static PasswordCredentialModel createFromCredentialModel(CredentialModel credentialModel)

    - #### getPasswordCredentialData

          public PasswordCredentialData getPasswordCredentialData()

    - #### getPasswordSecretData

          public PasswordSecretData getPasswordSecretData()

Copyright © 2021 JBoss by Red Hat. All rights reserved.